﻿@model IEnumerable<Consomi.Domain.Entities.Product>

@using (Html.BeginForm())
{
    <table>
        <tr>
            <td>
                <div>
                    Recherche : @Html.TextBox("rech")
                </div>
            </td>
            <td> <input type="submit" value="Search" id="submit" /> </td>
        </tr>
    </table>
    <br />
}

@{
    ViewBag.Title = "Categories";
}

<h2>Products</h2>


<table class="table">
   
      <tr>
        <th>
            @Html.DisplayNameFor(model => model.Image)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Nom)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DateF)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DateE)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.CAB)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Price)
        </th>
         
    <tr></tr>
    </tr>
        
        
    

    @if (Model != null)
    {
        foreach (var item in Model)
        {
            <tr>
                <td>
                    @{string path = "~/Content/" + item.Image;}
                    <img src="@Url.Content(path)" width="50" height="50" />
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Nom)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Description)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.DateF)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.DateE)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CAB)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Price)
                </td>

                </tr>
                
                            }
                        }

    </table>



